<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" type="text/css" href="css/1.css">
	<script type="text/javascript" src="js/1.js"></script>
</head>
<body>
	<script type="text/javascript">
		/*declaro todas las variables
		*/ 
     	var a1; //para el ancho
		var a2; //para el color
		var a3; //para el alto
		//ninguna de las tres está inicializada.
		
		/*pedir un dato al usuario*/
		a1=window.prompt("introduce el ancho");// metodo prompt siempre devuelve el dato en string!!!!!
        a2=prompt("introduce el color","red");
        
        /*sacar datos mediante mensaje*/
        window.alert(a1);
        alert(a2);

        /*concatenar*/ 

        alert("El valor del ancho es " + a1 + " px");

        /*utilizar la consola*/

        console.log(a2);

        /* mostrar información en bosy*/
        document.write("<div>" + a2 + "</div>");

	</script>
	<ul>
		<li>
			<script type="text/javascript">
				document.write("elemento" + a1);
			</script>
		</li>
	</ul>
</body>
</html>